# HG changeset patch
# Node ID 78b242d21880
# Parent  fa0478036eaf
diff --git a/libpurple/protocols/ircv3/meson.build b/libpurple/protocols/ircv3/meson.build
--- a/libpurple/protocols/ircv3/meson.build
+++ b/libpurple/protocols/ircv3/meson.build
@@ -24,9 +24,11 @@
 	IRCV3_SOURCES += ircv3_resources
 
 	ircv3_prpl = shared_library('ircv3', IRCV3_SOURCES + IRCV3_HEADERS,
-	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-IRCv3"'],
-	    dependencies : [sasl, libpurple_dep, glib, gio, ws2_32],
-	    install : true, install_dir : PURPLE_PLUGINDIR)
+		c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-IRCv3"'],
+		dependencies : [sasl, libpurple_dep, glib, gio, ws2_32],
+		install : true,
+		install_dir : PURPLE_PLUGINDIR,
+		override_options : ['c_std=c99', 'warning_level=2'])
 
 	devenv.append('PURPLE_PLUGIN_PATH', meson.current_build_dir())
 
diff --git a/libpurple/protocols/ircv3/purpleircv3connection.c b/libpurple/protocols/ircv3/purpleircv3connection.c
--- a/libpurple/protocols/ircv3/purpleircv3connection.c
+++ b/libpurple/protocols/ircv3/purpleircv3connection.c
@@ -267,7 +267,7 @@
 
 static gboolean
 purple_ircv3_connection_disconnect(PurpleConnection *purple_connection,
-                                   GError **error)
+                                   G_GNUC_UNUSED GError **error)
 {
 	PurpleIRCv3Connection *connection = NULL;
 
@@ -386,11 +386,11 @@
 }
 
 static void
-purple_ircv3_connection_init(PurpleIRCv3Connection *connection) {
+purple_ircv3_connection_init(G_GNUC_UNUSED PurpleIRCv3Connection *connection) {
 }
 
 static void
-purple_ircv3_connection_class_finalize(PurpleIRCv3ConnectionClass *klass) {
+purple_ircv3_connection_class_finalize(G_GNUC_UNUSED PurpleIRCv3ConnectionClass *klass) {
 }
 
 static void
diff --git a/libpurple/protocols/ircv3/purpleircv3core.c b/libpurple/protocols/ircv3/purpleircv3core.c
--- a/libpurple/protocols/ircv3/purpleircv3core.c
+++ b/libpurple/protocols/ircv3/purpleircv3core.c
@@ -87,7 +87,10 @@
 }
 
 static gboolean
-purple_ircv3_unload(GPluginPlugin *plugin, gboolean shutdown, GError **error) {
+purple_ircv3_unload(G_GNUC_UNUSED GPluginPlugin *plugin,
+                    G_GNUC_UNUSED gboolean shutdown,
+                    GError **error)
+{
 	PurpleProtocolManager *manager = NULL;
 
 	if(!PURPLE_IS_PROTOCOL(ircv3_protocol)) {
diff --git a/libpurple/protocols/ircv3/purpleircv3messagehandlers.c b/libpurple/protocols/ircv3/purpleircv3messagehandlers.c
--- a/libpurple/protocols/ircv3/purpleircv3messagehandlers.c
+++ b/libpurple/protocols/ircv3/purpleircv3messagehandlers.c
@@ -25,10 +25,13 @@
  * Fallback
  *****************************************************************************/
 gboolean
-purple_ircv3_message_handler_fallback(GHashTable *tags, const char *source,
-                                      const char *command, guint n_params,
-                                      GStrv params, GError **error,
-                                      gpointer data)
+purple_ircv3_message_handler_fallback(G_GNUC_UNUSED GHashTable *tags,
+                                      const char *source,
+                                      const char *command,
+                                      G_GNUC_UNUSED guint n_params,
+                                      GStrv params,
+                                      G_GNUC_UNUSED GError **error,
+                                      G_GNUC_UNUSED gpointer data)
 {
 	gchar *joined = g_strjoinv(" ", params);
 
@@ -117,9 +120,12 @@
  * General Commands
  *****************************************************************************/
 gboolean
-purple_ircv3_message_handler_ping(GHashTable *tags, const char *source,
-                                  const char *command, guint n_params,
-                                  GStrv params, GError **error,
+purple_ircv3_message_handler_ping(G_GNUC_UNUSED GHashTable *tags,
+                                  G_GNUC_UNUSED const char *source,
+                                  G_GNUC_UNUSED const char *command,
+                                  guint n_params,
+                                  GStrv params,
+                                  G_GNUC_UNUSED GError **error,
                                   gpointer data)
 {
 	PurpleIRCv3Connection *connection = data;
diff --git a/libpurple/protocols/ircv3/purpleircv3parser.c b/libpurple/protocols/ircv3/purpleircv3parser.c
--- a/libpurple/protocols/ircv3/purpleircv3parser.c
+++ b/libpurple/protocols/ircv3/purpleircv3parser.c
@@ -144,7 +144,7 @@
 }
 
 static guint
-purple_ircv3_parser_extract_params(PurpleIRCv3Parser *parser,
+purple_ircv3_parser_extract_params(G_GNUC_UNUSED PurpleIRCv3Parser *parser,
                                    GStrvBuilder *builder, const gchar *str)
 {
 	gchar *ptr = NULL;
diff --git a/libpurple/protocols/ircv3/purpleircv3protocol.c b/libpurple/protocols/ircv3/purpleircv3protocol.c
--- a/libpurple/protocols/ircv3/purpleircv3protocol.c
+++ b/libpurple/protocols/ircv3/purpleircv3protocol.c
@@ -115,7 +115,7 @@
 
 static GList *
 purple_ircv3_protocol_status_types(G_GNUC_UNUSED PurpleProtocol *protocol,
-                                   PurpleAccount *account)
+                                   G_GNUC_UNUSED PurpleAccount *account)
 {
 	PurpleStatusType *type = NULL;
 	GList *types = NULL;
@@ -147,11 +147,11 @@
 	                              purple_ircv3_protocol_im_init))
 
 static void
-purple_ircv3_protocol_init(PurpleIRCv3Protocol *protocol) {
+purple_ircv3_protocol_init(G_GNUC_UNUSED PurpleIRCv3Protocol *protocol) {
 }
 
 static void
-purple_ircv3_protocol_class_finalize(PurpleIRCv3ProtocolClass *klass) {
+purple_ircv3_protocol_class_finalize(G_GNUC_UNUSED PurpleIRCv3ProtocolClass *klass) {
 }
 
 static void
diff --git a/libpurple/protocols/ircv3/purpleircv3protocolim.c b/libpurple/protocols/ircv3/purpleircv3protocolim.c
--- a/libpurple/protocols/ircv3/purpleircv3protocolim.c
+++ b/libpurple/protocols/ircv3/purpleircv3protocolim.c
@@ -26,7 +26,7 @@
  * PurpleProtocolIM Implementation
  *****************************************************************************/
 static gint
-purple_ircv3_protocol_send_im(PurpleProtocolIM *im,
+purple_ircv3_protocol_send_im(G_GNUC_UNUSED PurpleProtocolIM *im,
                               PurpleConnection *conn,
                               PurpleMessage *message)
 {
